#
# n23 - data acquisition and processing framework
#
# Copyright (C) 2013-2024 by Artur Wroblewski <wrobell@riseup.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from importlib.metadata import version

from .app.core import run
from .queue import NQueue
from .scheduler import Scheduler, TaskResult, TaskHandle
from .storage import storage_from_uri, Storage, StorageAbyss
from .util import to_datetime

__version__ = version('n23')

__all__ = [
    'Scheduler', 'TaskResult', 'TaskHandle', 'Storage', 'NQueue',
    'StorageAbyss', 'storage_from_uri', 'run', 'to_datetime',
]

# vim: sw=4:et:ai
